---
---

This section of the Kubernetes documentation contains pages that
show how to do individual tasks. A task page shows how to do a
single thing, typically by giving a short sequence of steps.

#### Configuring Pods and Containers

* [Defining Environment Variables for a Container](/docs/tasks/configure-pod-container/define-environment-variable-container/)
* [Defining a Command and Arguments for a Container](/docs/tasks/configure-pod-container/define-command-argument-container/)
* [Assigning CPU and RAM Resources to a Container](/docs/tasks/configure-pod-container/assign-cpu-ram-container/)

#### Accessing Applications in a Cluster

* [Using Port Forwarding to Access Applications in a Cluster](/docs/tasks/access-application-cluster/port-forward-access-application-cluster/)

#### Debugging Applications in a Cluster

* [Determining the Reason for Pod Failure](/docs/tasks/debug-application-cluster/determine-reason-pod-failure/)

#### Accessing the Kubernetes API

* [Using an HTTP Proxy to Access the Kubernetes API](/docs/tasks/access-kubernetes-api/http-proxy-access-api)

#### Administering a Cluster

* [Assigning Pods to Nodes](/docs/tasks/administer-cluster/assign-pods-nodes/)

### What's next

If you would like to write a task page, see
[Creating a Documentation Pull Request](/docs/create-pull-request/).
